# -*- rpm-spec -*-
# $Id: librpcsecgss,v 1.6 2006/07/17 15:37:53 me Exp $

%def_disable static

Name: librpcsecgss
Version: 0.14
Release: alt1

Summary: RPCSEC_GSS implementation
License: Distributable
Group: System/Libraries
Url: http://www.citi.umich.edu/projects/nfsv4/linux/

Source0: %name-%version.tar.bz2

BuildRequires: libgssapi-devel >= 0.10-alt1

%package devel
Summary: RPCSEC_GSS library and headers
Group: Development/C
Requires: %name = %version-%release

%if_enabled static
%package devel-static
Summary: RPCSEC_GSS static library
Group: Development/C
Requires: %name-devel = %version-%release
%endif

%description
%name library allows secure rpc communication using the rpcsec_gss protocol

%description devel
%name library allows secure rpc communication using the rpcsec_gss protocol
This package holds development part of %name library

%if_enabled static
%description devel-static
%name library allows secure rpc communication using the rpcsec_gss protocol
This package contains static %name library

%endif

%prep
%setup -c

%build
%__autoreconf
%configure %{subst_enable static}
%make_build

%install
%makeinstall
mkdir -p %buildroot/%_lib
mv %buildroot%_libdir/*.so.* %buildroot/%_lib/
find %buildroot%_libdir -name \*.so|while read; do
	ln -snf ../../%_lib/`readlink $REPLY` %buildroot%_libdir/${REPLY##*/}
done

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%doc AUTHORS COPYING README
/%_lib/%name.so.*

%files devel
%_libdir/%name.so
%_pkgconfigdir/*
%_includedir/rpcsecgss

%if_enabled static
%files devel-static
%_libdir/%name.a
%endif

%changelog
* Sun Dec  3 2006 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.14-alt1
- 0.14 released

* Mon Jul 17 2006 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.13-alt1
- 0.13 released

* Sun Mar 19 2006 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.8-alt1
- 0.8 released

* Mon Jan 16 2006 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.6-alt2
- fixed build for x86_64

* Sat Oct 15 2005 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.6-alt1
- 0.6 released

